INTERFACE
SUBROUTINE PREINTSAD(KDLEN,KLEN,KSET,&
 & PRESH,&
 & PUF,PVF,PTF,PQF,PQN,PTS,&
 & PU10N,PV10N,&
 & PRF,&
 & PLNPR,PALPH,&
 & PCPTGZ,PCPTS,PBN,PBH,PBM,&
 & PAPHI,PZ0,PWS,PVEG,PWL,PSN,&
 & PRESH5,&
 & PUF5,PVF5,PTF5,PQF5,PQN5,&
 & PES5,PQS5,&
 & PZ05,PWS5,PVEG5,PWL5,PSN5,PSLM5,&
 & PTS5,PU05,PV05,PU10N5,PV10N5,PCHN5,&
 & PLNPR5,PALPH5,&
 & PAPHI5,PWET5,PRF5,PRI5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQN(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU10N(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10N(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPR(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPH(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPTGZ(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPTS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBN(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBH(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBM(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHI(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZ0(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVEG(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWL(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSN(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQN5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PES5(KDLEN,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PZ05(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEG5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PWL5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PSN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU10N5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10N5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCHN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHI5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWET5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRI5(KDLEN)
END SUBROUTINE PREINTSAD
END INTERFACE
